--- a/src/st/st-theme-context.c
+++ b/src/st/st-theme-context.c
@@ -28,15 +28,15 @@
 #include "st-theme-context.h"
 #include "st-theme-node-private.h"
 
-#define ACCENT_COLOR_BLUE   "#3584e4"
-#define ACCENT_COLOR_TEAL   "#2190a4"
-#define ACCENT_COLOR_GREEN  "#3a944a"
-#define ACCENT_COLOR_YELLOW "#c88800"
-#define ACCENT_COLOR_ORANGE "#ed5b00"
-#define ACCENT_COLOR_RED    "#e62d42"
-#define ACCENT_COLOR_PINK   "#d56199"
-#define ACCENT_COLOR_PURPLE "#9141ac"
-#define ACCENT_COLOR_SLATE  "#6f8396"
+#define ACCENT_COLOR_BLUE   "#2777ff"
+#define ACCENT_COLOR_TEAL   "#0bbbc4"
+#define ACCENT_COLOR_GREEN  "#06a284"
+#define ACCENT_COLOR_YELLOW "#d69f0d"
+#define ACCENT_COLOR_ORANGE "#fd7d00"
+#define ACCENT_COLOR_RED    "#ec0101"
+#define ACCENT_COLOR_PINK   "#cd0245"
+#define ACCENT_COLOR_PURPLE "#a400a4"
+#define ACCENT_COLOR_SLATE  "#5b739d"
 
 #define ACCENT_FG_COLOR     "#ffffff"
 
--- a/data/theme/gnome-shell-sass/widgets/_login-lock.scss
+++ b/data/theme/gnome-shell-sass/widgets/_login-lock.scss
@@ -1,4 +1,4 @@
-$_gdm_bg: $system_base_color;
+$_gdm_bg: #272a34;
 $_gdm_fg: $system_fg_color;
 $_gdm_dialog_width: 25em;
 
@@ -334,3 +334,56 @@
     }
   }
 }
+
+
+/* Kali customizations */
+
+$_login_transparent_bg: transparentize(white, .8);
+
+#panel {
+  &.unlock-screen,
+  &.login-screen {
+    background-color: transparentize(black, .2);
+  }
+}
+
+%login_transparent_bg {
+  background-color: $_login_transparent_bg !important;
+  color: white !important;
+  border: 1px solid $_login_transparent_bg;
+  box-shadow: none !important;
+}
+
+%login_button {
+  @extend %login_transparent_bg;
+  &:focus, &:hover, &:active, &:checked, &:selected {
+    @extend %login_transparent_bg;
+  }
+}
+
+.login-dialog,
+.unlock-dialog {
+  .login-dialog-prompt-entry {
+    border-radius: 999px;
+    &, &:hover, &:focus, &:insensitive { @extend %login_transparent_bg; }
+
+    StLabel.hint-text { color: transparentize($system_fg_color, 0.3); }
+  }
+}
+
+.login-dialog-not-listed-button { @extend %login_button; }
+
+.login-dialog-button {
+  &.cancel-button,
+  &.switch-user-button,
+  &.login-dialog-session-list-button { @extend %login_button; }
+}
+
+// User list
+.login-dialog-user-list-view {
+  .login-dialog-user-list {
+    .login-dialog-user-list-item {
+      @extend %login_button;
+    }
+  }
+}
--- a/data/theme/gnome-shell-sass/_default-colors.scss
+++ b/data/theme/gnome-shell-sass/_default-colors.scss
@@ -1,7 +1,7 @@
 // Named Colors
 
 // base colors
-$_base_color_dark: desaturate($dark_4, 100%);
+$_base_color_dark: #272a34;
 $_base_color_light: desaturate($light_2, 100%);
 
 // colors for destructive elements
